Bug 1073467 - rhevm-dwh-setup error on a system installed in Brazilian Portuguese
Summary: rhevm-dwh-setup error on a system installed in Brazilian Portuguese
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: 3.3.2
Assignee: Yedidyah Bar David
QA Contact: Barak Dagan
URL:
Whiteboard: integration
Depends On: 1067673
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 13:41 UTC by rhev-integ
Modified: 2019-04-28 10:23 UTC (History)
11 users (show)

Fixed In Version: is35 - rhevm-dwh-3.3.2-1.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, the rhevm-dwh-setup command would fail when run on a system configured to use certain locales. This was caused by an error in using the status of a service as a conditional, which resulted in the postgresql service not being restarted when the message produced by checking the status of the service did not contain the words 'dead', 'inactive', or 'stopped'. Now, the conditional is dependent on a return code, and the rhevm-dwh-setup command restarts the postgresql service without issue.
Clone Of: 1067673
: 1074909 (view as bug list)
Environment:
Last Closed: 2014-04-09 17:43:03 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0386 normal SHIPPED_LIVE rhevm-dwh 3.3.2 bug fix update 2014-04-09 21:41:19 UTC
oVirt gerrit 25455 None None None Never

Comment 2 Yedidyah Bar David 2014-03-11 10:15:20 UTC
Change 25455 changes the way that we check if services are up or down.

Instead of parsing the output of 'service $service status', we just check the return code.

This affects the services postgresql, ovirt-engine and ovirt-engine-dwhd.

I now verified that all of them return a good return code (0 when up, != 0 when down) on rhel 6 and fedora 19.

Comment 3 Barak Dagan 2014-03-19 16:52:33 UTC
erified on 3.3.2 (is35):

# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

# locale -a | grep BR
pt_BR
pt_BR.iso88591
pt_BR.utf8

# LANG=pt_BR.utf8

# locale
LANG=pt_BR.utf8
LC_CTYPE="pt_BR.utf8"
LC_NUMERIC="pt_BR.utf8"
LC_TIME="pt_BR.utf8"
LC_COLLATE="pt_BR.utf8"
LC_MONETARY="pt_BR.utf8"
LC_MESSAGES="pt_BR.utf8"
LC_PAPER="pt_BR.utf8"
LC_NAME="pt_BR.utf8"
LC_ADDRESS="pt_BR.utf8"
LC_TELEPHONE="pt_BR.utf8"
LC_MEASUREMENT="pt_BR.utf8"
LC_IDENTIFICATION="pt_BR.utf8"
LC_ALL=



# rhevm-setup 
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
...
         
          --== OVIRT ENGINE CONFIGURATION ==--
         
          Engine admin password: 
          Confirm engine admin password: 
[WARNING] Password is weak: é muito simples/sistemática
          Use weak password? (Yes, No) [No]: 
... === ...


# rhevm-dwh-setup 
Welcome to ovirt-engine-dwh setup utility
...
Starting ovirt-engine...                              [ DONE ]
Starting oVirt-ETL...                                 [ DONE ]
Successfully installed rhevm-dwh.

... === ...

# rhevm-reports-setup 
Welcome to rhevm-reports setup utility
In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service (yes|no): yes
...
Running post setup steps...                           [ DONE ]
Starting ovirt-engine...                              [ DONE ]
Restarting httpd...                                   [ DONE ]
Succesfully installed rhevm-reports.

Comment 4 Zac Dover 2014-04-03 03:19:59 UTC
This bug is currently attached to errata RHBA-2014:17206 If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.

Comment 7 errata-xmlrpc 2014-04-09 17:43:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0386.html


Note You need to log in before you can comment on or make changes to this bug.